%global doc 0

Summary:        A portable number theoretic multiple-precision integer library
Name:           libtommath
Version:        1.2.1
Release:        1%{?dist}
License:        Public Domain
URL:            http://www.libtom.net/
Source0:        https://github.com/libtom/%{name}/archive/v%{version}.tar.gz

BuildRequires:  make, libtool
%if 0%{?doc}
BuildRequires:  ghostscript ghostscript-tools-dvipdf libtiff-tools
BuildRequires:  tex(amssymb.sty) tex(cmr10.tfm) tex(epstopdf-base.sty)
BuildRequires:  tex(expl3.sty) tex(fancyhdr.sty) tex(hyphen.tex)
BuildRequires:  tex(l3backend-dvips.def) texlive-appendix texlive-dvips-bin
BuildRequires:  texlive-kpathsea texlive-latex-bin-bin texlive-makeindex-bin
BuildRequires:  texlive-metafont texlive-mfware-bin
%endif

%description
A free open source portable number theoretic multiple-precision integer library
written entirely in C. (phew!). The library is designed to provide a simple to
work with API that provides fairly efficient routines that build out of the box
without configuration.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.

%if 0%{?doc}
%package        doc
Summary:        Documentation files for %{name}
BuildArch:      noarch
Provides:       %{name}-doc = %{version}-%{release}

%description    doc
The %{name}-doc package contains PDF documentation for using %{name}.
%endif

%prep
%autosetup
sed -i -e 's/644 $(LIBNAME)/755 $(LIBNAME)/g' makefile.shared
sed -i \
    -e 's|^prefix=.*|prefix=%{_prefix}|g' \
    -e 's|^libdir=.*|libdir=%{_libdir}|g' \
    %{name}.pc.in

%build
%set_build_flags
%make_build V=1 CFLAGS="$CFLAGS -I./" -f makefile.shared
%if 0%{?doc}
make V=1 -f makefile manual docs
%endif

%install
%make_install V=1 CFLAGS="$CFLAGS -I./" PREFIX=%{_prefix} LIBPATH=%{_libdir} -f makefile.shared
find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%license LICENSE
%{_libdir}/*.so.*

%files devel
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%if 0%{?doc}
%files doc
%doc doc/bn.pdf
%endif

%changelog
* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 1.2.1-1
- Upgrade to version 1.2.1

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-3
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 01 2023 Feng Weiyao <wynnfeng@tencent.com> - 1.2.0-2
- rebuild for ocs

* Wed Nov 30 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.2.0-1
- initial
